Subject: Re: linux-next: duplicate patches in the sophgo tree

From: Chen Wang <[email-masked]>
Date: Fri, 6 Sep 2024 13:34:25 +0800

On 2024/9/6 11:40, Stephen Rothwell wrote:
> Hi Chen,
>
> On Fri, 6 Sep 2024 11:24:14 +0800 Chen Wang <[email-masked]> wrote:
>> The arm-soc tree contains these patches is due to I submited a PR to
>> Arnd and he merged this today.
>>
>> And for the sophgo/for-next branch, it does contains these patches. I
>> created the PR branch(sophgo/riscv-sophgo-dt-for-next) and
>> cherry-picked these patches from sophgo/for-next and submited the PR.
>> I see the commits in arm-soc are the same as that from
>> sophgo/riscv-sophgo-dt-for-next, but they are different against the
>> commit ids from sophgo/for-next due to cherry-pick operation.
>>
>> So my question is, do we need to make sure commit id the same between
>> PR branch and sophgo/for-next branch?
> If you are submitting everything that is in the for-next branch, you
> should just submit that branch as is, that way you have submitted what
> has been tested and all the commit id's will not change.
>
> However, if you are submitting a subset, you should probably create a
> branch with that subset (as you did) and then rebase the for-next
> branch on top of that and then test the result yourself and then let it
> it in linux-next for a day or 2 (to check for any new conflicts - there
> should be none).  After that, you should submit the subset branch to
> arm-soc.  This way (again) you have submitted what has been tested and
> all the commit id's will not change.
>
> Right now, you should rebase your for-next branch onto your
> riscv-sophgo-dt-for-next branch so that the duplicate patches are
> removed (they will be the same commits in both trees).

Thanks, Stephen. I have updated the sophgo/for-next.

Regards,

Chen